<?xml version="1.0" encoding="utf-8"?>
<!-- The file is save to sup_files\common\gui\.      -->
<!-- 'textId' from sup_files\common\message         -->
<!-- 'icon   ' from sup_files\common\gui\hq_icon.xml -->
<!-- 'cmdID  ' from sup_files\common\gui\hq_cmds.xml -->
<!-- 'create ' from org.eclipse.ui.actions.ActionFactory -->

<menus>
    <Items>
        <!-- Project    -->
        <Item name="New project"      create="true"   textId="project_ID1" icon="newProject.gif"   cmd="@@Gcmd_ID_new_project"      hotkey="CTRL+SHIFT+N"/>
        <Item name="Open project"     create="true"   textId="project_ID2" icon="openProject.gif"  cmd="@@Gcmd_ID_recent_Project_dialog"     hotkey="CTRL+SHIFT+N"/>
        <Item name="Close project"    create="true"   textId="project_ID3" icon="closeProject.gif" cmd="@@Gcmd_ID_close_project"    hotkey="CTRL+SHIFT+N"/>
        <Item name="SAVE"             create="false"  textId="project_ID7" icon="save.gif"         cmd="someCmd"                    hotkey=""/>
        <Item name="SAVE_ALL"         create="false"  textId="project_ID8" icon="save.gif"         cmd="someCmd"                    hotkey="CTRL+SHIFT+N"/>
        <Item name="Project Property" create="true"   textId="project_ID4" icon="prj_prop.gif"     cmd="@@Gcmd_ID_pro_property"     hotkey="CTRL+SHIFT+N"/>
        <Item name="Exit"             create="true"   textId="project_ID6" icon="remove.gif"       cmd="@@Gcmd_ID_exit_window"      hotkey="CTRL+SHIFT+N"/>
        <!-- Edit            -->
        <Item name="UNDO"             create="false"  textId="edit_ID1"    icon="undo.gif"         cmd="cmd_id"                     hotkey=""/>
        <Item name="REDO"             create="false"  textId="edit_ID6"    icon="redo.gif"         cmd="cmd_id"                     hotkey=""/>
        <Item name="CUT"              create="false"  textId="edit_ID2"    icon="cut.gif"          cmd="cmd_id"                     hotkey=""/>
        <Item name="COPY"             create="false"  textId="edit_ID4"    icon="copy.gif"         cmd="cmd_id"                     hotkey=""/>
        <Item name="PASTE"            create="false"  textId="edit_ID3"    icon="paste.gif"        cmd="cmd_id"                     hotkey=""/>
        <Item name="DELETE"           create="false"  textId="edit_ID7"    icon="remove.gif"       cmd="cmd_id"                     hotkey=""/>
        <Item name="SELECT_ALL"       create="false"  textId="edit_ID8"    icon="paste.gif"        cmd="cmd_id"                     hotkey=""/>
        <Item name="FIND"             create="false"  textId="edit_ID5"    icon="find.gif"         cmd="cmd_id"                     hotkey=""/>
        <!-- Setting    -->
        <Item name="NewImplement"     create="true"  textId="option_ID1"   icon=""                 cmd="cmd_id"                     hotkey=""/>
        <Item name="Extern Editor"    create="true"  textId="option_ID6"   icon=""                 cmd="cmd_id"                     hotkey=""/>
        <Item name="Config RTL Tools" create="true"  textId="option_ID2"   icon="setting.gif"      cmd="@@Gcmd_ID_Synthe_tool"      hotkey=""/>
        <Item name="Chinese"          create="true"  textId="option_ID4"   icon="china.gif"        cmd="@@Gcmd_ID_set_lang_chs"     hotkey=""/>
        <Item name="English"          create="true"  textId="option_ID8"   icon="english.gif"      cmd="@@Gcmd_ID_set_lang_eng"     hotkey=""/>
        <Item name="Japanese"         create="true"  textId="option_ID9"   icon="japan.gif"        cmd="@@Gcmd_ID_set_lang_jpn"     hotkey=""/>
        <Item name="Preference"       create="true"  textId="option_ID0"   icon="setting.gif"      cmd="@@Gcmd_ID_open_setting"     hotkey=""/>
        <!-- Run        -->
        <Item name="Run All Flow"     create="true"  textId="run_ID0"      icon="runAllFlow.gif"   cmd="cmd_id"                     hotkey=""/>
        <Item name="Read Edif"        create="true"  textId="button_ID18"  icon="rtlsyn.gif"       cmd="@@Ucmd_ID_designImportExec" hotkey=""/>
        <Item name="Packing"          create="true"  textId="run_ID5"      icon="pack.gif"         cmd="@@Ucmd_ID_hqPackExec"       hotkey=""/>
        <Item name="Placement"        create="true"  textId="run_ID6"      icon="place.gif"        cmd="@@Ucmd_ID_hqPlaceExec"      hotkey=""/>
        <Item name="Routing"          create="true"  textId="run_ID7"      icon="route.gif"        cmd="@@Ucmd_ID_hqRouteExec"      hotkey=""/>
        <Item name="DRC/BitGen"       create="true"  textId="run_ID10"     icon="par.gif"          cmd="@@Ucmd_ID_bitGen"           hotkey=""/>
        <Item name="Stop"             create="true"  textId="run_ID9"      icon="remove.gif"       cmd="cmd_id"                     hotkey=""/>
        <!-- Help        -->
        <Item name="User Manual"      create="true"  textId="help_ID1"     icon="manual.gif"       cmd="@@Gcmd_ID_open_manual"      hotkey=""/>
        <Item name="Update"           create="true"  textId="help_ID2"     icon=""                 cmd="cmd_id"                     hotkey=""/>
        <Item name="About hqFpga"     create="true"  textId="help_ID3"     icon="author.gif"       cmd="@@Gcmd_ID_about_dialog"     hotkey=""/>
        <!-- Help        -->
        <!-- Daniel 041119 with design explorer, classic perspective is needed
        <Item name="Open Standand"    create="true"  textId="view_ID10"     icon="standard.png"    cmd="@@Gcmd_ID_open_standard"    hotkey=""/>
        <Item name="Open Classic"     create="true"  textId="view_ID9"      icon="classic.png"     cmd="@@Gcmd_ID_open_classic"     hotkey=""/>
        <Item name="Open Debug"       create="true"  textId="view_ID0A"     icon="debug.gif"       cmd="@@Gcmd_ID_open_debug"       hotkey=""/>
        -->

        <!-- Programmer  -->
        <Item name="Programmer"		  create="true"  textId="run_ID11"		icon="16x16_prgrmr_open.gif" cmd="@@Ucmd_ID_openProgrammer" hotkey=""/>

		<!-- Debug script  -->
        <Item name="DebugScript"	  create="true"  textId="run_ID110"		icon="console.gif" cmd="@@Gcmd_ID_handleDebugScript" hotkey=""/>
    </Items>

    <menu name="Project" textId="project_ID0">
        <menuItem name="New project"/>
        <menuItem name="Open project"/>
        <menuItem name="Close project"/>
        <Separator/>
        <menuItem name="SAVE"/>
        <menuItem name="SAVE_ALL"/>
        <Separator/>
        <menuItem name="Project Property"/>
        <Separator/>
        <menu name="Recent Project" textId="project_ID5"/>
        <Separator/>
        <menuItem name="Exit"/>
    </menu>
    <menu name="Edit" textId="edit_ID0">
        <menuItem name="UNDO"/>
        <menuItem name="REDO"/>
        <Separator/>
        <menuItem name="CUT"/>
        <menuItem name="COPY"/>
        <menuItem name="PASTE"/>
        <Separator/>
        <menuItem name="DELETE"/>
        <menuItem name="SELECT_ALL"/>
        <Separator/>
        <menuItem name="FIND"/>
    </menu>
    <menu name="Setting" textId="option_ID0">
        <menuItem name="Chinese"/>
        <menuItem name="English"/>
        <menuItem name="Japanese"/>
        <Separator/>
        <menuItem name="Config RTL Tools"/>
        <Separator/>
        <menuItem name="Preference"/>
    </menu>
    <menu name="Run" textId="run_ID0">
        <menuItem name="Read Edif"/>
        <Separator/>
        <menuItem name="Packing"/>
        <menuItem name="Placement"/>
        <menuItem name="Routing"/>
        <Separator/>
        <menuItem name="DRC/BitGen"/>
    </menu>
    <menu name="Help" textId="help_ID0">
        <menuItem name="User Manual"/>
        <Separator/>
        <menuItem name="About hqFpga"/>
    </menu>

    <toolBar>
        <toolItem name="New project"/>
        <toolItem name="Open project"/>
	<!-- 
        <toolItem name="Close project"/>
    -->
    </toolBar>
    
    <toolBar>
        <toolItem name="Chinese"/>
        <toolItem name="English"/>
        <toolItem name="Japanese"/>
    </toolBar>
    <toolBar>
        <toolItem name="User Manual"/>
    </toolBar>
    <!-- Daniel 041119 with design explorer, classic perspective is needed
    <toolBar>
        <toolItem name="Open Standand"/>
        <toolItem name="Open Classic"/>
        <toolItem name="Open Debug"/>
    </toolBar>
        -->
    <toolBar>
        <toolItem name="Programmer"/>
        <toolItem name="About hqFpga"/>
    </toolBar>

    <!--
    <toolBar>
    	<toolItem name="DebugScript"/>
    </toolBar>
    -->
</menus>